Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Class CustomerValue

    java.lang.Object
      com.beasys.commerce.axiom.contact.ContactValue
          com.beasys.commerce.ebusiness.customer.CustomerValue

All Implemented Interfaces
  Serializable

Deprecated

    @Deprecated
    public class CustomerValue

extends com.beasys.commerce.axiom.contact.ContactValue

Stores the information required to do business with a customer.

See Also
  `Customer`, `CustomerHome`, `CustomerDelegate.getCustomerByValue()`, `CustomerDelegate.setCustomerByValue(CustomerValue)`, Serialized Form

Field Summary
`Map` | `creditCards` Deprecated Containment: By Value Multiplicity: 0:N Interface: java.util.Map
`String` | `customerType` Deprecated There may be several different types of customer ordering goods.
`Timestamp` | `dateOfBirth` Deprecated
`String` | `educationLevel` Deprecated
`Boolean` | `emailOptIn` Deprecated
`String` | `employmentStatus` Deprecated
`String` | `gender` Deprecated
`String` | `incomeRange` Deprecated
`String` | `maritalStatus` Deprecated
`String` | `occupation` Deprecated
`String` | `quality` Deprecated
`Map` | `shippingAddress` Deprecated Containment: By Value Multiplicity: 0:N Interface: java.util.Map

Fields inherited from class com.beasys.commerce.axiom.contact.ContactValue
`businessPhone, contactAddress, email, fax, firstName, homePhone, identifier, lastName, middleName, suffix, title`

Constructor Summary
`CustomerValue()` Deprecated The constructor has been made public in order to allow defer entity creation for interactive web applications.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### creditCards

    public Map creditCards

  Deprecated
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Map

### customerType

    public String customerType

  Deprecated
  There may be several different types of customer ordering goods. eg standard customer, preferred customer, business customer etc. customerType is used to specify this.
  - Containment: By Value
  - Multiplicity: 1:1

### shippingAddress

    public Map shippingAddress

  Deprecated
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Map

### incomeRange

    public String incomeRange

  Deprecated

### maritalStatus

    public String maritalStatus

  Deprecated

### educationLevel

    public String educationLevel

  Deprecated

### dateOfBirth

    public Timestamp dateOfBirth

  Deprecated

### gender

    public String gender

  Deprecated

### occupation

    public String occupation

  Deprecated

### employmentStatus

    public String employmentStatus

  Deprecated

### emailOptIn

    public Boolean emailOptIn

  Deprecated

### quality

    public String quality

  Deprecated

Constructor Detail

### CustomerValue

    public CustomerValue()

  Deprecated
  The constructor has been made public in order to allow defer entity creation for interactive web applications. The public constructor allows applications to create CustomerValue objects to hold attributes without creating the entity.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.